/* 送信ボタンを連打できないようにする */
const submitBtn = document.querySelector("input[type='submit'].wpcf7-submit");
submitBtn.addEventListener('click', () => {
  submitBtn.style.pointerEvents = 'none';
  submitBtn.style.opacity = '0.5';
});
document.addEventListener('wpcf7invalid', () => {
  submitBtn.style.pointerEvents = 'auto';
  submitBtn.style.opacity = '1';
}, false);

/* フリガナ自動入力 */
AutoKana.bind('#sender-family-name', '#sender-family-name-phonetic', { katakana: true });
AutoKana.bind('#sender-given-name', '#sender-given-name-phonetic', { katakana: true });

/*
validationEngine
*/
/* 基礎設定 */
$('form').validationEngine('attach', {
  scroll: false
});

/* ルールの割当 */
const validateRequired = 'validate[required]';
document.querySelectorAll('.wpcf7-form-control').forEach(element => {
  if (element.classList.contains('wpcf7-validates-as-required')) {
    element.classList.add(validateRequired);
    if (element.classList.contains('wpcf7-checkbox')) {
      element.querySelectorAll('input').forEach(input => {
        input.classList.add(validateRequired);
      });
    }
  }

  if (element.classList.contains('wpcf7-radio')) {
    element.querySelectorAll('input').forEach(input => {
      input.classList.add(validateRequired);
    });
  }

  if (element.classList.contains('wpcf7-acceptance')) {
    element.querySelector('input').classList.add(validateRequired);
  }
});

/* 追加ルール */
/* フリガナはカタカナ */
document.getElementsByName('sender-family-name-phonetic')[0].classList.add('custom[katakana]');
document.getElementsByName('sender-given-name-phonetic')[0].classList.add('custom[katakana]');

/* メールアドレスはメールアドレス */
document.getElementsByName('sender-email')[0].classList.add('custom[email]');

/* メールアドレス確認 */
document.getElementsByName('sender-email-check')[0].classList.add('equals[sender-email]');
/* // validationEngine */
